> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pathors.com/llms.txt
> Use this file to discover all available pages before exploring further.

# 列出節點

> 列出 Pathway 中所有的節點

## 請求

```bash theme={null}
GET https://api.pathors.com/v1/projects/{projectId}/pathway/nodes
```

### 路徑參數

<ParamField path="projectId" type="string" required>
  專案 ID
</ParamField>

### 標頭

<ParamField header="Authorization" type="string" required>
  使用您的 Developer Key 進行 Bearer 令牌認證
</ParamField>

## 回應

<ResponseField name="data" type="array">
  節點物件陣列。每個節點都有 `id`、`position`，以及包含節點組態的 `data`。
</ResponseField>

### 節點類型

| 類型       | 描述             |
| -------- | -------------- |
| `start`  | 對話的進入點         |
| `prompt` | 帶有提示與選填工具的對話步驟 |
| `end`    | 結束對話的終止節點      |
| `goto`   | 重新導向至另一個節點     |

### 範例

```bash theme={null}
curl https://api.pathors.com/v1/projects/{projectId}/pathway/nodes \
  -H "Authorization: Bearer dk_your_key"
```
